Page MenuHomePhabricator

Display comments after checking that the user has the right permissions if the revision was suppressed
Closed, ResolvedPublicMay 12 2020

Description

This is a follow up patch on top of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/594615

See: https://gerrit.wikimedia.org/g/mediawiki/extensions/CheckUser/+/53ffb05ad1e4e7b7a5fa419e2229f686ce662c36/includes/specials/SpecialCheckUser.php#1836 for details on how it should work.
There is already a placeholder for this at TimelineRowFormatter::getComment

Event Timeline

dmaza created this task.May 6 2020, 3:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2020, 3:42 PM
Niharika triaged this task as Medium priority.May 7 2020, 3:36 PM
Niharika changed the subtype of this task from "Task" to "Deadline".
Niharika set Due Date to May 12 2020, 7:00 PM.

Change 595592 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] TimelineRowFormatter: Show or redact the comment for the change

https://gerrit.wikimedia.org/r/595592

Change 595592 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] TimelineRowFormatter: Show or redact the comment for the change

https://gerrit.wikimedia.org/r/595592

dom_walden added a subscriber: dom_walden.

Edit summaries show for edits and new page creations.

Not for log entries, which I assume is intentional as it is not included in the acceptance criteria for T247641.

If the revision's summary is hidden (either deleted or suppressed) or the revision has been deleted from the database, the user sees (edit summary removed). Perhaps this should be crossed out like it is in, for example, the page's history. I might raise a separate bug, as I guess that would be a css change.

On the other hand, if the user has the appropriate rights (e.g. deletedhistory, viewsuppressed, etc.), instead they will see the edit summary, but crossed out.

If the page is deleted, the revisions (and their comments) still appear as entries in the Timeline (although some of that entry's links might not work).

If you undelete the page but don't restore all the revisions, they still appear in the Timeline tab. Again, might find some of the diff links don't work.

@Tchanders / @Niharika: Hi, the Due Date set for this open task was two months ago.
Can you please either update or reset the Due Date (by clicking Edit Task), or set the status of this task to resolved in case this task is done? Thanks.

dbarratt closed this task as Resolved.Jul 13 2020, 2:42 PM